<?php
/**
 * Created by PhpStorm.
 * User: vlade
 * Date: 9/15/14
 * Time: 2:13 PM
 */

namespace VGM\WOBundle\DataFixtures\ORM;

use Doctrine\Common\Persistence\ObjectManager;
use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use VGM\WOBundle\Entity\NPaySchedule;


class loadPayScheduleData extends AbstractFixture implements OrderedFixtureInterface
{
    public function load(ObjectManager $em)
    {
        /*$p1 = new NPaySchedule();
        $p1->setDescription('Description 1');
        $p1->setName('Weekly');

        $p2 = new NPaySchedule();
        $p2->setDescription('Description 2');
        $p2->setName('Biweekly');

        $p3 = new NPaySchedule();
        $p3->setDescription('Description 3');
        $p3->setName('Monthly');

        $em->persist($p1);
        $em->persist($p2);
        $em->persist($p3);

        $em->flush();*/
    }

    public function getOrder()
    {
        return 4; // the order in which fixtures will be loaded
    }
}